import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'clx_flutter_util_method_channel.dart';

abstract class ClxFlutterUtilPlatform extends PlatformInterface {
  /// Constructs a ClxFlutterUtilPlatform.
  ClxFlutterUtilPlatform() : super(token: _token);

  static final Object _token = Object();

  static ClxFlutterUtilPlatform _instance = MethodChannelClxFlutterUtil();

  /// The default instance of [ClxFlutterUtilPlatform] to use.
  ///
  /// Defaults to [MethodChannelClxFlutterUtil].
  static ClxFlutterUtilPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ClxFlutterUtilPlatform] when
  /// they register themselves.
  static set instance(ClxFlutterUtilPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
